POST api/ALInvoice/generate
Request Information
URI Parameters
None.
Body Parameters
lnInvoiceInput| Name | Description | Type | Additional information |
|---|---|---|---|
| html | string |
None. |
|
| fileNumber | string |
None. |
|
| receiptAmount | decimal number |
None. |
|
| gstReceipt | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"html": "sample string 1",
"fileNumber": "sample string 2",
"receiptAmount": 3.0,
"gstReceipt": true
}
text/html
Sample:
{"html":"sample string 1","fileNumber":"sample string 2","receiptAmount":3.0,"gstReceipt":true}
application/xml, text/xml
Sample:
<lnInvoiceInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Models"> <fileNumber>sample string 2</fileNumber> <gstReceipt>true</gstReceipt> <html>sample string 1</html> <receiptAmount>3</receiptAmount> </lnInvoiceInput>
application/x-www-form-urlencoded
Sample:
Sample not available.
text/comma-separated-values
Sample:
Sample not available.
Response Information
Resource Description
lnInvoiceOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| PdfUrl | string |
None. |
|
| InvoiceNumber | string |
None. |
|
| CreatedAt | string |
None. |
|
| InvoiceAmount | decimal number |
None. |
|
| ResponseCode | integer |
None. |
|
| ResponseMessage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"PdfUrl": "sample string 1",
"InvoiceNumber": "sample string 2",
"CreatedAt": "sample string 3",
"InvoiceAmount": 4.0,
"ResponseCode": 5,
"ResponseMessage": "sample string 6"
}
text/html
Sample:
{"PdfUrl":"sample string 1","InvoiceNumber":"sample string 2","CreatedAt":"sample string 3","InvoiceAmount":4.0,"ResponseCode":5,"ResponseMessage":"sample string 6"}
application/xml, text/xml
Sample:
<lnInvoiceOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Models"> <ResponseCode>5</ResponseCode> <ResponseMessage>sample string 6</ResponseMessage> <CreatedAt>sample string 3</CreatedAt> <InvoiceAmount>4</InvoiceAmount> <InvoiceNumber>sample string 2</InvoiceNumber> <PdfUrl>sample string 1</PdfUrl> </lnInvoiceOutput>
text/comma-separated-values
Sample:
Sample not available.